#### D.2.9.7 pnormalform

Procedure from library `redcgs.lib` (see redcgs_lib).

Usage:
  pnormalform(f,N,W);
  f: the polynomial to be reduced modulo N,W (in parameters and variables)
  N: the null conditions ideal
  W: the non-null conditions (set of irreducible polynomials, ideal)

Return:
  a reduced polynomial g of f, whose coefficients are reduced modulo N and having no factor in W.

Note:
  Should be called from ring @R. Ideals N and W must be polynomials in the parameters forming a red-specification (see definition) the papers).

Example:

    LIB "redcgs.lib";
    ring R=(0,a,b,c),(x,y),dp;
    setglobalrings();
    poly f=(b^2-1)*x^3*y+(c^2-1)*x*y^2+(c^2*b-b)*x+(a-bc)*y;
    ideal N=(ab-c)*(a-b),(a-bc)*(a-b);
    ideal W=a^2-b^2,bc;
    def r=redspec(N,W);
    pnormalform(f,r[1],r[2]);
    ==> xy2+(b)*x

User manual for Singular version 4.4.1, 2025, generated by texi2html.